<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module PUBLIC "-//Checkstyle//DTD Checkstyle Configuration 1.3//EN" "https://checkstyle.org/dtds/configuration_1_3.dtd">

<!--
    This configuration file was written by the eclipse-cs plugin configuration editor
-->
<!--
    Checkstyle-Configuration: Vanilla 9.1
    Description: none
-->
<module name="Checker">
  <property name="severity" value="warning" />
  <module name="TreeWalker">
    <module name="AbbreviationAsWordInName" />
    <module name="AbstractClassName" />
    <module name="AnnotationLocation" />
    <module name="AnnotationOnSameLine" />
    <module name="AnnotationUseStyle" />
    <module name="AnonInnerLength" />
    <module name="ArrayTrailingComma" />
    <module name="ArrayTypeStyle" />
    <module name="AtclauseOrder" />
    <module name="AvoidDoubleBraceInitialization" />
    <module name="AvoidEscapedUnicodeCharacters" />
    <module name="AvoidInlineConditionals" />
    <module name="AvoidNestedBlocks" />
    <module name="AvoidNoArgumentSuperConstructorCall" />
    <module name="AvoidStarImport" />
    <module name="AvoidStaticImport" />
    <module name="BooleanExpressionComplexity" />
    <module name="CatchParameterName" />
    <module name="ClassDataAbstractionCoupling" />
    <module name="ClassFanOutComplexity" />
    <module name="ClassMemberImpliedModifier" />
    <module name="ClassTypeParameterName" />
    <module name="CommentsIndentation" />
    <module name="ConstantName" />
    <module name="CovariantEquals" />
    <module name="CustomImportOrder" />
    <module name="CyclomaticComplexity" />
    <module name="DeclarationOrder" />
    <module name="DefaultComesLast" />
    <module name="DescendantToken" />
    <module name="DesignForExtension" />
    <module name="EmptyBlock" />
    <module name="EmptyCatchBlock" />
    <module name="EmptyForInitializerPad" />
    <module name="EmptyForIteratorPad" />
    <module name="EmptyLineSeparator">
      <property name="tokens" value="PACKAGE_DEF,IMPORT,STATIC_IMPORT,CLASS_DEF,INTERFACE_DEF,ENUM_DEF,STATIC_INIT,INSTANCE_INIT,METHOD_DEF,CTOR_DEF,VARIABLE_DEF,RECORD_DEF,COMPACT_CTOR_DEF" />
    </module>
    <module name="EmptyStatement" />
    <module name="EqualsAvoidNull" />
    <module name="EqualsHashCode" />
    <module name="ExecutableStatementCount" />
    <module name="ExplicitInitialization" />
    <module name="FallThrough" />
    <module name="FinalClass" />
    <module name="FinalLocalVariable" />
    <module name="FinalParameters" />
    <module name="GenericWhitespace" />
    <module name="HiddenField" />
    <module name="HideUtilityClassConstructor" />
    <module name="IllegalCatch" />
    <module name="IllegalIdentifierName" />
    <module name="IllegalImport" />
    <module name="IllegalInstantiation" />
    <module name="IllegalThrows" />
    <module name="IllegalToken" />
    <module name="IllegalTokenText" />
    <module name="IllegalType" />
    <module name="ImportControl" />
    <module name="ImportOrder" />
    <module name="Indentation" />
    <module name="InnerAssignment" />
    <module name="InnerTypeLast" />
    <module name="InterfaceIsType" />
    <module name="InterfaceMemberImpliedModifier" />
    <module name="InterfaceTypeParameterName" />
    <module name="InvalidJavadocPosition" />
    <module name="JavadocBlockTagLocation" />
    <module name="JavadocContentLocation" />
    <module name="JavadocMethod" />
    <module name="JavadocMissingLeadingAsterisk" />
    <module name="JavadocMissingWhitespaceAfterAsterisk" />
    <module name="JavadocParagraph" />
    <module name="JavadocStyle" />
    <module name="JavadocTagContinuationIndentation" />
    <module name="JavadocType" />
    <module name="JavadocVariable" />
    <module name="JavaNCSS" />
    <module name="LambdaBodyLength" />
    <module name="LambdaParameterName" />
    <module name="LeftCurly" />
    <module name="LocalFinalVariableName" />
    <module name="LocalVariableName" />
    <module name="MagicNumber" />
    <module name="MatchXpath" />
    <module name="MemberName" />
    <module name="MethodCount" />
    <module name="MethodLength" />
    <module name="MethodName" />
    <module name="MethodParamPad" />
    <module name="MethodTypeParameterName" />
    <module name="MissingCtor" />
    <module name="MissingDeprecated" />
    <module name="MissingJavadocMethod" />
    <module name="MissingJavadocPackage" />
    <module name="MissingJavadocType" />
    <module name="MissingOverride" />
    <module name="MissingSwitchDefault" />
    <module name="ModifiedControlVariable" />
    <module name="ModifierOrder" />
    <module name="MultipleStringLiterals" />
    <module name="MultipleVariableDeclarations" />
    <module name="MutableException" />
    <module name="NeedBraces" />
    <module name="NestedForDepth" />
    <module name="NestedIfDepth" />
    <module name="NestedTryDepth" />
    <module name="NoArrayTrailingComma" />
    <module name="NoClone" />
    <module name="NoCodeInFile" />
    <module name="NoEnumTrailingComma" />
    <module name="NoFinalizer" />
    <module name="NoLineWrap">
      <property name="tokens" value="IMPORT,STATIC_IMPORT,PACKAGE_DEF" />
    </module>
    <module name="NoWhitespaceAfter" />
    <module name="NoWhitespaceBefore" />
    <module name="NonEmptyAtclauseDescription" />
    <module name="NoWhitespaceBeforeCaseDefaultColon" />
    <module name="NPathComplexity" />
    <module name="OneStatementPerLine" />
    <module name="OneTopLevelClass" />
    <module name="OperatorWrap">
      <property name="tokens" value="QUESTION,COLON,EQUAL,NOT_EQUAL,DIV,PLUS,MINUS,STAR,MOD,SR,BSR,GE,GT,SL,LE,LT,BXOR,BOR,LOR,BAND,LAND,LITERAL_INSTANCEOF,TYPE_EXTENSION_AND" />
    </module>
    <module name="OuterTypeFilename" />
    <module name="OuterTypeNumber" />
    <module name="OverloadMethodsDeclarationOrder" />
    <module name="PackageAnnotation" />
    <module name="PackageDeclaration" />
    <module name="PackageName" />
    <module name="ParameterAssignment" />
    <module name="ParameterName" />
    <module name="ParameterNumber" />
    <module name="ParenPad" />
    <module name="PatternVariableName" />
    <module name="RecordComponentName" />
    <module name="RecordComponentNumber" />
    <module name="RecordTypeParameterName" />
    <module name="RedundantImport" />
    <module name="RedundantModifier" />
    <module name="Regexp" />
    <module name="RegexpSinglelineJava" />
    <module name="RequireEmptyLineBeforeBlockTagGroup" />
    <module name="RequireThis" />
    <module name="ReturnCount" />
    <module name="RightCurly" />
    <module name="SeparatorWrap" />
    <module name="SimplifyBooleanExpression" />
    <module name="SimplifyBooleanReturn" />
    <module name="SingleLineJavadoc" />
    <module name="SingleSpaceSeparator" />
    <module name="StaticVariableName" />
    <module name="StringLiteralEquality" />
    <module name="SummaryJavadoc" />
    <module name="SuperClone" />
    <module name="SuperFinalize" />
    <module name="SuppressionCommentFilter" />
    <module name="SuppressionXpathFilter" />
    <module name="SuppressionXpathSingleFilter" />
    <module name="SuppressWarnings" />
    <module name="SuppressWarningsHolder" />
    <module name="SuppressWithNearbyCommentFilter" />
    <module name="ThrowsCount" />
    <module name="TodoComment" />
    <module name="TrailingComment" />
    <module name="TypecastParenPad" />
    <module name="TypeName" />
    <module name="UncommentedMain" />
    <module name="UnnecessaryParentheses" />
    <module name="UnnecessarySemicolonAfterOuterTypeDeclaration" />
    <module name="UnnecessarySemicolonAfterTypeMemberDeclaration" />
    <module name="UnnecessarySemicolonInEnumeration" />
    <module name="UnnecessarySemicolonInTryWithResources" />
    <module name="UnusedImports" />
    <module name="UpperEll" />
    <module name="VariableDeclarationUsageDistance" />
    <module name="VisibilityModifier" />
    <module name="WhitespaceAfter" />
    <module name="WhitespaceAround" />
    <module name="WriteTag" />
  </module>
  <module name="BeforeExecutionExclusionFileFilter" />
  <module name="FileLength" />
  <module name="FileTabCharacter" />
  <module name="Header" />
  <module name="JavadocPackage" />
  <module name="LineLength" />
  <module name="NewlineAtEndOfFile" />
  <module name="OrderedProperties" />
  <module name="RegexpHeader" />
  <module name="RegexpMultiline" />
  <module name="RegexpOnFilename" />
  <module name="RegexpSingleline" />
  <module name="SeverityMatchFilter" />
  <module name="SuppressionFilter" />
  <module name="SuppressionSingleFilter" />
  <module name="SuppressWarningsFilter" />
  <module name="SuppressWithPlainTextCommentFilter" />
  <module name="Translation" />
  <module name="UniqueProperties" />
</module>
